@echo off
COLOR 1F

:start1
echo.
echo Universita' degli studi di Macerata - C.S.I.A. Ufficio sistemi
echo Sviluppato da: Marco Principi marco.principi@unimc.it
echo --------------------------------------------------------------------------------
echo.
echo Eseguire i comandi come utente appartenente al gruppo Administrators.
echo.
ECHO 1 - Avvio installazione certificati per Windows Vista/Windows7/Windows8
ECHO 2 - Avvia installazione certificati per Windows XP SP3
ECHO 3 - Verifica installazione certificati
ECHO 4 - Elenco Trusted Root Certification Authorities
ECHO 5 - Elenco Intermediate Certification Authorities
ECHO 6 - Elenco Personal Certificates
ECHO 0 - Esci
echo.
echo.


set choice=
set /p choice=Digitare il numero corrispondente al comando da eseguire:
if not '%choice%'=='' set choice=%choice:~0,1%
if '%choice%'=='1' goto Function1
if '%choice%'=='2' goto Function2
if '%choice%'=='3' goto Function3
if '%choice%'=='4' goto Function4
if '%choice%'=='5' goto Function5
if '%choice%'=='6' goto Function6
if '%choice%'=='0' goto end

CLS 
ECHO "%choice%" non  un comando valido.
CLS
goto start1


REM #############################################################################

:Function1
CLS
echo.
echo Universita' degli studi di Macerata - C.S.I.A. Ufficio sistemi
echo Sviluppato da: Marco Principi marco.principi@unimc.it
echo --------------------------------------------------------------------------------
echo.
ECHO Avvio installazione certificati per Windows Vista/Windows7/Windows8.
PAUSE
certutil.exe -f -v -gmt -seconds -addstore root %~dp0\UnimcRootCA.crt 
certutil.exe -f -v -gmt -seconds -addstore ca %~dp0\UnimcSub1CA.crt 
certutil.exe -f -v -gmt -seconds -addstore ca %~dp0\UnimcSub2CA.crt 
start iexplore.exe https://dsaweb.unimc.it/TestCert
echo.
PAUSE
CLS
goto start1

REM #############################################################################

:Function2
CLS
echo.
echo Universita' degli studi di Macerata - C.S.I.A. Ufficio sistemi
echo Sviluppato da: Marco Principi marco.principi@unimc.it
echo --------------------------------------------------------------------------------
echo.
ECHO Avvio installazione certificati per Windows XP SP3.
PAUSE
certutil.exe -f -v -gmt -seconds -addstore root UnimcRootCA.cer
certutil.exe -f -v -gmt -seconds -addstore ca UnimcSub1CA.cer
certutil.exe -f -v -gmt -seconds -addstore ca UnimcSub2CA.cer
start iexplore.exe https://dsaweb.unimc.it/TestCert
echo.
PAUSE
CLS
goto start1

REM #############################################################################

:Function3
CLS
echo.
echo Universita' degli studi di Macerata - C.S.I.A. Ufficio sistemi
echo Sviluppato da: Marco Principi marco.principi@unimc.it
echo --------------------------------------------------------------------------------
echo.
ECHO Verifica installazione certificati.
start iexplore.exe https://dsaweb.unimc.it/TestCert
echo.
CLS
goto start1

REM #############################################################################

:Function4
CLS
echo.
echo Universita' degli studi di Macerata - C.S.I.A. Ufficio sistemi
echo Sviluppato da: Marco Principi marco.principi@unimc.it
echo --------------------------------------------------------------------------------
echo.
ECHO Elenco Trusted Root Certification Authorities.
certutil.exe -viewstore Root
echo.
CLS
goto start1

REM #############################################################################

:Function5
CLS
echo.
echo Universita' degli studi di Macerata - C.S.I.A. Ufficio sistemi
echo Sviluppato da: Marco Principi marco.principi@unimc.it
echo --------------------------------------------------------------------------------
echo.
ECHO Elenco Intermediate Certification Authorities.
certutil.exe -viewstore CA
echo.
CLS
goto start1

REM #############################################################################

:Function6
CLS
echo.
echo Universita' degli studi di Macerata - C.S.I.A. Ufficio sistemi
echo Sviluppato da: Marco Principi marco.principi@unimc.it
echo --------------------------------------------------------------------------------
echo.
ECHO Elenco Personal Certificates.
certutil.exe -viewstore My
echo.
CLS
goto start1

REM #############################################################################

:Function0
CLS
EXIT